Main Page Packages Class Hierarchy Compound List File List Compound Members

# attrsetvaluenomodificationallowederrEE Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| attrsetvaluenomodificationallowederrEE (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "setValue()" method for an attribute causes the DOMException NO_MODIFICATION_ALLOWED_ERR to be raised if the node is readonly.

Create an entity reference using document.createEntityReference() Get the "domestic" attribute from the entity reference and execute the "setValue()" method. This causes a NO_MODIFICATION_ALLOWED_ERR DOMException to be thrown.

Author:
  Curt Arnold

See also:
  http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-one-core#ID-221662474 , http://www.w3.org/TR/2000/WD-DOM-Level-1-20000929/level-one-core#xpointer(id('ID-221662474')/setraises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/DOM/updates/REC-DOM-Level-1-19981001-errata.html , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-221662474 , http://www.w3.org/2001/DOM-Test-Suite/level1/core/attrsetvaluenomodificationallowederr.xml

Definition at line 50 of file attrsetvaluenomodificationallowederrEE.java.

## Constructor & Destructor Documentation

attrsetvaluenomodificationallowederrEE::attrsetvaluenomodificationallowederrEE | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 52 of file attrsetvaluenomodificationallowederrEE.java.
    00053  {
    00054       super(factory);
    00055
    00056    }

## Member Function Documentation

String attrsetvaluenomodificationallowederrEE::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 101 of file attrsetvaluenomodificationallowederrEE.java.
    00101                                 {
    00102       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/attrsetvaluenomodificationallowederrEE";
    00103    }

void attrsetvaluenomodificationallowederrEE::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 104 of file attrsetvaluenomodificationallowederrEE.java. References DOMTestCase::doMain().
    00104                                           {
    00105         DOMTestCase.doMain(attrsetvaluenomodificationallowederrEE.class,args);
    00106    }

void attrsetvaluenomodificationallowederrEE::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 58 of file attrsetvaluenomodificationallowederrEE.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00058                                                     {
    00059       Document doc;
    00060       EntityReference entRef;
    00061       Element entElement;
    00062       NamedNodeMap attrList;
    00063       Node attrNode;
    00064       Node gender;
    00065       NodeList genderList;
    00066       Node appendedChild;
    00067       doc = load("staff");
    00068       genderList = doc.getElementsByTagName("gender");
    00069       gender = genderList.item(2);
    00070       entRef = doc.createEntityReference("ent4");
    00071       appendedChild = gender.appendChild(entRef);
    00072       entElement = (Element)entRef.getFirstChild();
    00073       attrList = entElement.getAttributes();
    00074       attrNode = attrList.getNamedItem("domestic");
    00075
    00076         {
    00077                 boolean success = false;
    00078                 try {
    00079                         ((Attr)/*Node*/attrNode).setValue("newvalue");
    00080
    00081                 }
    00082                 catch(DOMException ex) {
    00083                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00084                 }
    00085                 assertTrue("setValue_throws_NO_MODIFICATION",success);
    00086         }
    00087
    00088         {
    00089                 boolean success = false;
    00090                 try {
    00091                         attrNode.setNodeValue("newvalue2");
    00092
    00093                 }
    00094                 catch(DOMException ex) {
    00095                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00096                 }
    00097                 assertTrue("setNodeValue_throws_NO_MODIFICATION",success);
    00098         }
    00099
    00100    }

The documentation for this class was generated from the following file:

- attrsetvaluenomodificationallowederrEE.java